package com.goldenwater.slaj.hazard.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorEd;

/**
 * 重大工程字典 数据层
 */
@Mapper
public interface TDictMajorEdMapper {

    TDictMajorEd selectTDictMajorEdByGuid(String guid);

    List<TDictMajorEd> selectTDictMajorEdList(TDictMajorEd tDictMajorEd);

    int insertTDictMajorEd(TDictMajorEd tDictMajorEd);

    int updateTDictMajorEd(TDictMajorEd tDictMajorEd);

    int deleteTDictMajorEdByGuid(String guid);

    int deleteTDictMajorEdByGuids(String[] guids);
}
